[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.WndProc

WndProc - performs actions specific to the message then calls inherited WndProc

## Declaration

Source position: forms.pp line 552

`protected procedure TCustomForm.WndProc(`
`var TheMessage: TLMessage`
`); override;`

## Description

WndProc - performs actions specific to the message then calls inherited WndProc

Specific messages include:

Activate, SetFocus. KillFocus; Exit, Enter; Window Position Changing; Draw Item

## See also

TControl.WndProc |  | WndProc - message handler for the procedure of this window
TWinControl.WndProc |  | WndProc - makes specific reactions according to the message passed, then calls inherited WndProc

The latest version of this document can be found at lazarus-ccr.sourceforge.net .